#ifndef _EXAMPLE_HORSE
#define _EXAMPLE_HORSE

#include "../shareddata.h"
#include "../horse.h"
#include "../random.h"

class ExampleHorse : public Horse
{
	private:
		int step;
		static const int horseX = 2;
		static const int horseY = 1;
	public:
		ExampleHorse() { 
			step = 0;
		}
		virtual int move(SharedData& sh)
		{
			step ++;
			if (step == 1) return encode(1, 0);
			if (step == 2) return encode(0, 0);
			while (1)
			{
				int k = rndInt(5);
				if (sh.isValidHorseMove(k))
					return k;
			}
		}
};

#endif
